#include <linux/module.h>
#include <linux/pci.h>
#include <linux/dma-mapping.h>
#include <linux/platform_device.h>

static DEFINE_PCI_DEVICE_TABLE(test_pci_table) = {
	{ 0, },
};

static int test_init(struct pci_dev *pdev, const struct pci_device_id *id);
static void test_remove(struct pci_dev *pdev);

static struct pci_driver test_driver = {
	.name = "TEST",
	.id_table = test_pci_table,
	.probe = test_init,
	.remove = test_remove,
	.shutdown = test_remove,
};

static int test_init(struct pci_dev *pdev, const struct pci_device_id *id) {
	pci_register_driver(&test_driver);

	if (get_dma_ops(&pdev->dev))
		return true;
	return false;
}

static void test_remove(struct pci_dev *pdev) {
	pci_unregister_driver(&test_driver);
	return;
}

module_init(test_init);

MODULE_LICENSE("DUMMY");
